Get All Transaction Coding
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
This endpoint allows you to retrieve all transaction-related coding constants such as statuses, operation types, card schemes, channels, and more.
Endpoint
GET https://demo-api.edfapay.com/api/v1/transactions/public/transaction-constants
Authentication
All requests to this endpoint must include a valid X-API-KEY in the request header for authentication. The X-API-KEY must be sent from the server side and should not be exposed on the client side.
Description
This API returns a list of predefined constants used across transaction-related operations, including: Transaction operation types, Transaction statuses, Payment statuses, Card schemes, Card channels, Transaction channels, Sponsor banks, Holder accounts
These values are typically used for filtering, validation, and display purposes.
Example Request
curl --location 'https://demo-api.edfapay.com/api/v1/transactions/public/transaction-constants' \
--header 'X-API-KEY: YOUR_API_KEY'Example Responses
{
"code": 200,
"message": "Success",
"errorCode": null,
"data": {
"transactionOperationTypes": [
{
"code": "PURCHASE",
"label": "Purchase"
},
{
"code": "REFUND",
"label": "Refund"
},
{
"code": "REVERSAL",
"label": "Reversal"
},
{
"code": "REVERSAL_REPEAT",
"label": "Reversal Repeat"
},
{
"code": "RECONCILIATION",
"label": "Reconciliation"
},
{
"code": "RECONCILIATION_REPEAT",
"label": "Reconciliation Repeat"
},
{
"code": "AUTHORIZATION",
"label": "Authorization"
},
{
"code": "VOID",
"label": "Void"
},
{
"code": "VOID_REPEAT",
"label": "Void Repeat"
},
{
"code": "EXTENSION",
"label": "Extension"
},
{
"code": "EXTENSION_REPEAT",
"label": "Extension Repeat"
},
{
"code": "CAPTURE",
"label": "Capture"
},
{
"code": "CAPTURE_REPEAT",
"label": "Capture Repeat"
},
{
"code": "TERMINAL_REGISTRATION",
"label": "Network Management"
},
{
"code": "TERMINAL_CONFIGURATION",
"label": "File Action/Download Parameters"
},
{
"code": "TERMINAL_CONFIGURATION_REPEAT",
"label": "File Action/Download Parameters Repeat"
},
{
"code": "RECURRING",
"label": "Recurring"
}
],
"transactionStatuses": [
{
"code": "PENDING",
"label": "Pending"
},
{
"code": "SUCCESS",
"label": "Success"
},
{
"code": "IN_SAF",
"label": "In Saf"
},
{
"code": "TIME_OUT",
"label": "Time out"
},
{
"code": "FAILED",
"label": "Failed"
},
{
"code": "COMMUNICATION_FAILURE",
"label": "Communication Failure"
}
],
"cardChannels": [
{
"code": "PHYSICAL_CARD",
"label": "Card"
},
{
"code": "APPLE_PAY",
"label": "Apple Pay"
},
{
"code": "GOOGLE_PAY",
"label": "Google Pay"
},
{
"code": "STC_PAY",
"label": "STC Pay"
},
{
"code": "SAMSUNG_PAY",
"label": "Samsung Pay"
},
{
"code": "MADA_PAY",
"label": "Mada Pay"
}
],
"cardSchemeSponsor": [
{
"code": "ANBB",
"label": "Arab National Bank"
},
{
"code": "BSFB",
"label": "Al Bank Al Saudi Al Fransi"
},
{
"code": "BSHB",
"label": "Saudi Hollandi Bank"
},
{
"code": "EBIL",
"label": "Emirates Bank International Limited"
},
{
"code": "GIBB",
"label": "Gulf International Bank"
},
{
"code": "INMA",
"label": "Al Inma Bank"
},
{
"code": "NBOK",
"label": "National Bank of Kuwait"
},
{
"code": "NBOB",
"label": "National Bank of Bahrain"
},
{
"code": "NCBB",
"label": "The National Commercial Bank"
},
{
"code": "RAJB",
"label": "Al-Rajhi Banking and Investment Corporation"
},
{
"code": "RYDB",
"label": "Riyad Bank"
},
{
"code": "SABB",
"label": "The Saudi British Bank"
},
{
"code": "SAIB",
"label": "Saudi Investment Bank"
},
{
"code": "SAMB",
"label": "SAMBA Financial Group"
},
{
"code": "JAZB",
"label": "Bank Al Jazira"
}
],
"transactionChannels": [
{
"code": "SOFT_POS",
"label": "Soft POS"
},
{
"code": "PAYMENT_GATEWAY",
"label": "Payment Gateway"
},
{
"code": "TAMARA",
"label": "Tamara"
},
{
"code": "TAMARA_POS",
"label": "Tamara POS"
},
{
"code": "TABBY",
"label": "Tabby"
},
{
"code": "TABBY_POS",
"label": "Tabby POS"
},
{
"code": "SADAD",
"label": "Sadad"
},
{
"code": "PAYPAL",
"label": "Paypal"
}
],
"cardSchemes": [
{
"code": "P1",
"label": "Mada"
},
{
"code": "VC",
"label": "Visa"
},
{
"code": "MC",
"label": "MasterCard"
},
{
"code": "DM",
"label": "Maestro"
},
{
"code": "AX",
"label": "AMEX"
},
{
"code": "UP",
"label": "UnionPay"
},
{
"code": "GN",
"label": "GCC"
},
{
"code": "JC",
"label": "JCB"
},
{
"code": "DC",
"label": "Discover"
},
{
"code": "GV",
"label": "UNKNOWN"
}
],
"paymentStatuses": [
{
"code": "APPROVED",
"label": "Approved"
},
{
"code": "DECLINED",
"label": "Declined"
},
{
"code": "PENDING",
"label": "Pending"
},
{
"code": "REDIRECT",
"label": "Redirect"
}
],
"holderAccounts": [
{
"code": "NEOLEAP",
"label": "Neoleap"
},
{
"code": "GEIDEA",
"label": "Geidea"
},
{
"code": "SUREPAY",
"label": "Sure Pay"
},
{
"code": "ANBB",
"label": "Arab National Bank"
},
{
"code": "BSFB",
"label": "Al Bank Al Saudi Al Fransi"
},
{
"code": "BSHB",
"label": "Saudi Hollandi Bank"
},
{
"code": "EBIL",
"label": "Emirates Bank International Limited"
},
{
"code": "GIBB",
"label": "Gulf International Bank"
},
{
"code": "INMA",
"label": "Al Inma Bank"
},
{
"code": "NBOK",
"label": "National Bank of Kuwait"
},
{
"code": "NBOB",
"label": "National Bank of Bahrain"
},
{
"code": "NCBB",
"label": "The National Commercial Bank"
},
{
"code": "RAJB",
"label": "Al-Rajhi Banking and Investment Corporation"
},
{
"code": "RYDB",
"label": "Riyad Bank"
},
{
"code": "SABB",
"label": "The Saudi British Bank"
},
{
"code": "SAIB",
"label": "Saudi Investment Bank"
},
{
"code": "SAMB",
"label": "SAMBA Financial Group"
},
{
"code": "JAZB",
"label": "Bank Al Jazira"
},
{
"code": "LOOP",
"label": "Loop"
}
]
}
}